# Ignore all
*

# Ignore .gitignore and .gitmodules
.gitignore
.gitmodules

!Jenkinsfile

# Unignore all with extensions
!*.*

# Unignore Dockerfile
!Dockerfile

# Unignore all dirs
!*/

### Above combination will ignore all files without extension ###

# Ignore executable files
*.[oa]
*.out

# Ignore Python bytecode file
*.pyc

# Ignore all files in these  directories
.texpadtmp/
downloads/
build/

# Ignore swap files
*~
.DS_Store


extra/*/
!extra/demo/

examples/**
!examples/*.ini
!examples/2MPP.txt
!examples/completeness_*.fits
!examples/one.fits

docs/tex/
docs/sphinx/_build/
docs/sphinx/_static/
build*/
docs/doxyoutput/
docs/_build/
docs/api/
docs/_static/doxy_html/
docs/source/_generate/
!docs/source/user/building/

!build_tools/
